package com.bonus.core.marketing.v2.rule.recharge.handler.timesgift.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("充值规则详情-按次数赠送")
public class RechargeTimesGiftItemDTO {
   @ApiModelProperty("门槛金额")
   private BigDecimal doorAmount;
   @ApiModelProperty("计算方法：1金额，2比例")
   private Integer computeType;
   @ApiModelProperty("赠送钱包类型")
   private Integer walletId;
   @ApiModelProperty("减免金额或折扣")
   private BigDecimal discount;

   public BigDecimal getDoorAmount() {
      return this.doorAmount;
   }

   public Integer getComputeType() {
      return this.computeType;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getDiscount() {
      return this.discount;
   }

   public void setDoorAmount(final BigDecimal doorAmount) {
      this.doorAmount = doorAmount;
   }

   public void setComputeType(final Integer computeType) {
      this.computeType = computeType;
   }

   public void setWalletId(final Integer walletId) {
      this.walletId = walletId;
   }

   public void setDiscount(final BigDecimal discount) {
      this.discount = discount;
   }

   public RechargeTimesGiftItemDTO(final BigDecimal doorAmount, final Integer computeType, final Integer walletId, final BigDecimal discount) {
      this.doorAmount = doorAmount;
      this.computeType = computeType;
      this.walletId = walletId;
      this.discount = discount;
   }
}
